backbuffer.h File Reference

The header file for BackBuffer. More...

`#include "zipios++/zipios-config.h"`
`#include <algorithm>`
`#include "zipios++/meta-iostreams.h"`
`#include <vector>`
`#include "zipios++/fcollexceptions.h"`
`#include "zipios++/ziphead.h"`
`#include "zipios++/zipheadio.h"`
`#include "zipios++/virtualseeker.h"`
`#include "zipios_common.h"`
Include dependency graph for backbuffer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | zipios::BackBuffer
| A BackBuffer instance is useful for reading the last part of a file in an efficient manner, when it is not known exactly how far back (towards the front!) to go, to find the start of the desired data block. More...

## Detailed Description

The header file for BackBuffer.

Definition in file backbuffer.h.